### Hierarchy

- NumberComponent

### Implements

- ControlValueAccessor

## Index

### Inputs

- ariaLabel
- disabled
- helperText
- id
- invalid
- invalidText
- label
- max
- min
- precision
- required
- size
- skeleton
- step
- theme
- warn
- warnText
- decrementLabel
- incrementLabel
- value

### Outputs

- change

### Constructors

- constructor

### Properties

- _decrementLabel
- _incrementLabel
- _value
- ariaLabel
- change
- containerClass
- disabled
- helperText
- i18n
- id
- invalid
- invalidText
- label
- max
- min
- precision
- required
- size
- skeleton
- step
- theme
- warn
- warnText
- numberCount

### Accessors

- decrementLabel
- incrementLabel
- value

### Methods

- emitChangeEvent
- focusOut
- getDecrementLabel
- getIncrementLabel
- isTemplate
- onDecrement
- onIncrement
- onNumberInputChange
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue

## Constructors

### constructor

- new NumberComponent(i18n: I18n): NumberComponent

- - Defined in src/number-input/number.component.ts:245

  #### Parameters

  - ##### i18n: I18n

  #### Returns NumberComponent

## Properties

### Protected _decrementLabel

_decrementLabel: Overridable = this.i18n.getOverridable("NUMBER.DECREMENT")

- Defined in src/number-input/number.component.ts:244

### Protected _incrementLabel

_incrementLabel: Overridable = this.i18n.getOverridable("NUMBER.INCREMENT")

- Defined in src/number-input/number.component.ts:245

### Protected _value

_value: number = 0

- Defined in src/number-input/number.component.ts:242

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/number-input/number.component.ts:218

### change

@Output()
change: EventEmitter<NumberChange> = new EventEmitter<NumberChange>()

- Defined in src/number-input/number.component.ts:222

### containerClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
containerClass: boolean = true

- Defined in src/number-input/number.component.ts:135

### disabled

@Input()
disabled: boolean = false

- Defined in src/number-input/number.component.ts:144

### helperText

@Input()
helperText: string | TemplateRef<any>

- Defined in src/number-input/number.component.ts:194

### Protected i18n

i18n: I18n

- Defined in src/number-input/number.component.ts:250

### id

@Input()
id: string = `number-${NumberComponent.numberCount}`

- Defined in src/number-input/number.component.ts:156

### invalid

@Input()
invalid: boolean = false

- Defined in src/number-input/number.component.ts:152

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/number-input/number.component.ts:198

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/number-input/number.component.ts:190

### max

@Input()
max: any = null

- Defined in src/number-input/number.component.ts:186

### min

@Input()
min: any = null

- Defined in src/number-input/number.component.ts:182

### precision

@Input()
precision: number

- Defined in src/number-input/number.component.ts:206

### required

@Input()
required: boolean

- Defined in src/number-input/number.component.ts:164

### size

@Input()
size: "sm" | "md" | "xl" = "md"

- Defined in src/number-input/number.component.ts:160

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/number-input/number.component.ts:148

### step

@Input()
step: number = 1

- Defined in src/number-input/number.component.ts:202

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/number-input/number.component.ts:140

### warn

@Input()
warn: boolean = false

- Defined in src/number-input/number.component.ts:210

### warnText

@Input()
warnText: string | TemplateRef<any>

- Defined in src/number-input/number.component.ts:214

### Static numberCount

numberCount: number = 0

- Defined in src/number-input/number.component.ts:133

## Accessors

### decrementLabel

@Input()
decrementLabel:

- Defined in src/number-input/number.component.ts:225
- Defined in src/number-input/number.component.ts:229

### incrementLabel

@Input()
incrementLabel:

- Defined in src/number-input/number.component.ts:234
- Defined in src/number-input/number.component.ts:238

### value

@Input()
value:

- Defined in src/number-input/number.component.ts:168
- Defined in src/number-input/number.component.ts:176

## Methods

### emitChangeEvent

- emitChangeEvent(): void

- - Defined in src/number-input/number.component.ts:332

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- - Defined in src/number-input/number.component.ts:278

  #### Returns void

### getDecrementLabel

- getDecrementLabel(): Observable<string>

- - Defined in src/number-input/number.component.ts:321

  #### Returns Observable<string>

### getIncrementLabel

- getIncrementLabel(): Observable<string>

- - Defined in src/number-input/number.component.ts:325

  #### Returns Observable<string>

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/number-input/number.component.ts:345

  #### Parameters

  - ##### value: any

  #### Returns boolean

### onDecrement

- onDecrement(): void

- - Defined in src/number-input/number.component.ts:313

  #### Returns void

### onIncrement

- onIncrement(): void

- - Defined in src/number-input/number.component.ts:302

  #### Returns void

### onNumberInputChange

- onNumberInputChange(event: any): void

- - Defined in src/number-input/number.component.ts:340

  #### Parameters

  - ##### event: any

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/number-input/number.component.ts:292

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/number-input/number.component.ts:297

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/number-input/number.component.ts:265

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/number-input/number.component.ts:273

  #### Parameters

  - ##### fn: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/number-input/number.component.ts:285

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/number-input/number.component.ts:258

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc